The P2 repository generated will be published at
http://www.simantics.org/download<branch>/external-components/manual.
Also added composite P2 repository descriptors that will be published at
http://www.simantics.org/download/<branch>/external-components/. This
composite repository includes both the previously mentioned manual
direcotry and its sibling P2 repository called maven.
refs #6813
Change-Id: Id7b0f66bb00c2569cd4f2a959585cc048dd3a63a
--- /dev/null
+<?xml version='1.0' encoding='UTF-8'?>\r
+<?compositeArtifactRepository version='1.0.0'?>\r
+<repository name='"Simantics SDK external components site"'\r
+ type='org.eclipse.equinox.internal.p2.artifact.repository.CompositeArtifactRepository' version='1.0.0'>\r
+ <properties size='1'>\r
+ <property name='p2.timestamp' value='12438235025465'/>\r
+ </properties>\r
+ <children size='2'>\r
+ <child location='http://www.simantics.org/download/master/external-components/maven/' />\r
+ <child location='http://www.simantics.org/download/master/external-components/manual/' />\r
+ </children>\r
+</repository>
\ No newline at end of file
--- /dev/null
+<?xml version='1.0' encoding='UTF-8'?>\r
+<?compositeMetadataRepository version='1.0.0'?>\r
+<repository name='"Simantics SDK external components site"'\r
+ type='org.eclipse.equinox.internal.p2.metadata.repository.CompositeMetadataRepository' version='1.0.0'>\r
+ <properties size='1'>\r
+ <property name='p2.timestamp' value='12438235025465'/>\r
+ </properties>\r
+ <children size='2'>\r
+ <child location='http://www.simantics.org/download/master/external-components/maven/' />\r
+ <child location='http://www.simantics.org/download/master/external-components/manual/' />\r
+ </children>\r
+</repository>
\ No newline at end of file
--- /dev/null
+#!/bin/bash
+
+if [ $# -lt 2 ]; then
+ echo "usage: $0 <eclipse-executable> <repository-directory-to-generate-p2-metadata-for>"
+ exit 1
+fi
+
+ECLIPSE=$1
+REPO=$2
+
+"${ECLIPSE}" -noupdate -nosplash -application org.eclipse.equinox.p2.publisher.FeaturesAndBundlesPublisher -metadataRepository file:/${REPO} -artifactRepository file:/${REPO} -source ${REPO} -compress -publishArtifacts